--- debathena-athinfod-9.4.0.orig/debian/athinfo.defs
+++ debathena-athinfod-9.4.0/debian/athinfo.defs
@@ -0,0 +1,37 @@
+# This file defines the queries understood by the athinfo daemon.
+# Blank lines and lines beginning with a '#' are ignored.  Each line
+# consists of a query name and a shell command to answer the query.
+# The shell command will not receive input and, for security reasons,
+# should not depend on a network filesystem.
+
+# Query		Command
+
+queries		cat /etc/athena/athinfo.defs
+uname		uname -a
+machtype	/bin/machtype
+sysname		/bin/machtype -S
+cputype		/bin/machtype -v -c
+display		/bin/machtype -v -d
+disks		/bin/machtype -v -r
+memory		/bin/machtype -v -M
+swap		swapon -s
+rc.conf		cat /etc/athena/rc.conf
+version		cat /etc/athena/version
+clusterinfo	test -r /var/athena/clusterinfo && cat /var/athena/clusterinfo 
+clusterinfo.bsh	test -r /var/athena/clusterinfo.bsh && cat /var/athena/clusterinfo.bsh 
+update.desync	test -r /var/athena/update.desync && cat /var/athena/update.desync
+services	test -r /var/server/.services && cat /var/server/.services
+update.log	. /etc/athena/rc.conf && test true = "$PUBLIC" && test -r /var/athena/update.log && cat /var/athena/update.log
+install.log	test -r /var/athena/install.log && cat /var/athena/install.log
+verify.log	test -r /var/athena/verify.log && cat /var/athena/verify.log
+date		date
+uptime		uptime
+partitions	fdisk -l
+df		df -k -t ext2 -t ext3
+interfaces	netstat -in
+routes		netstat -rn
+listeners	netstat -lnt
+login		test -f /etc/nologin; echo $?
+cpuspeed	grep MHz /proc/cpuinfo
+packages	dpkg-query -W
+modules  	lsmod
--- debathena-athinfod-9.4.0.orig/debian/control
+++ debathena-athinfod-9.4.0/debian/control
@@ -0,0 +1,17 @@
+Source: debathena-athinfod
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf
+Standards-Version: 3.7.2
+
+Package: debathena-athinfod
+Architecture: any
+Provides: athinfod
+Conflicts: debathena-athena-files (<= 0.1.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
+Description: An Athena server to respond to athinfo requests
+ Respond to network queries for information about the workstation, such 
+ as its hardware type and configuration, its current software 
+ installation state, the number of users logged on, and various other 
+ informational state queries.
--- debathena-athinfod-9.4.0.orig/debian/compat
+++ debathena-athinfod-9.4.0/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-athinfod-9.4.0.orig/debian/athinfo.access
+++ debathena-athinfod-9.4.0/debian/athinfo.access
@@ -0,0 +1 @@
+enable *
--- debathena-athinfod-9.4.0.orig/debian/control.in
+++ debathena-athinfod-9.4.0/debian/control.in
@@ -0,0 +1,17 @@
+Source: debathena-athinfod
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@
+Standards-Version: 3.7.2
+
+Package: debathena-athinfod
+Architecture: any
+Provides: athinfod
+Conflicts: debathena-athena-files (<= 0.1.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
+Description: An Athena server to respond to athinfo requests
+ Respond to network queries for information about the workstation, such 
+ as its hardware type and configuration, its current software 
+ installation state, the number of users logged on, and various other 
+ informational state queries.
--- debathena-athinfod-9.4.0.orig/debian/debathena-athinfod.postinst
+++ debathena-athinfod-9.4.0/debian/debathena-athinfod.postinst
@@ -0,0 +1,48 @@
+#!/bin/sh
+# postinst script for debathena-athinfod
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	if ! grep -q '^athinfo[[:space:]]' /etc/services; then
+	    cat <<EOF >>/etc/services
+athinfo		49155/tcp			# workstation info server
+EOF
+	fi
+	update-inetd --group INFO --remove "athinfo\t\tstream\ttcp\tnowait\tnobody\t/usr/sbin/athinfod\tathinfod"
+	update-inetd --group INFO --add "athinfo\t\tstream\ttcp\tnowait\tnobody\t/sbin/athinfod\tathinfod"
+	;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+	;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+	;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-athinfod-9.4.0.orig/debian/copyright
+++ debathena-athinfod-9.4.0/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-athinfod-9.4.0.orig/debian/debathena-athinfod.postrm
+++ debathena-athinfod-9.4.0/debian/debathena-athinfod.postrm
@@ -0,0 +1,45 @@
+#!/bin/sh
+# postrm script for debathena-athinfod
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove)
+	if hash update-inetd 2>/dev/null; then
+	    update-inetd --remove "(#<off># )?athinfo"
+	fi
+	;;
+    
+    purge|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+	;;
+    
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+	;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-athinfod-9.4.0.orig/debian/debathena-athinfod.prerm
+++ debathena-athinfod-9.4.0/debian/debathena-athinfod.prerm
@@ -0,0 +1,44 @@
+#!/bin/sh
+# prerm script for debathena-athinfod
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove)
+	update-inetd --disable athinfo
+	;;
+
+    upgrade|deconfigure)
+	;;
+
+    failed-upgrade)
+	;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+	;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-athinfod-9.4.0.orig/debian/rules
+++ debathena-athinfod-9.4.0/debian/rules
@@ -0,0 +1,11 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += lsbindir=/sbin
+
+clean::
+	rm -f configure
--- debathena-athinfod-9.4.0.orig/debian/changelog
+++ debathena-athinfod-9.4.0/debian/changelog
@@ -0,0 +1,27 @@
+debathena-athinfod (9.4.0-0debathena4) unstable; urgency=low
+
+  * Remove the old athinfo line from /etc/inetd.conf, to fix upgrades 
+    from pre-9.4 packages.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 06 Aug 2007 02:55:50 -0400
+
+debathena-athinfod (9.4.0-0debathena3) unstable; urgency=low
+
+  * Fix some stupid regex.
+  * Section: debathena/net.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 06:33:27 -0400
+
+debathena-athinfod (9.4.0-0debathena2) unstable; urgency=low
+
+  * Add athinfo.access.
+  * Add athinfo to /etc/inetd.conf.
+  * Add athinfo to /etc/services.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sat, 28 Apr 2007 21:00:13 -0400
+
+debathena-athinfod (9.4.0-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 00:33:35 -0500
--- debathena-athinfod-9.4.0.orig/debian/debathena-athinfod.install
+++ debathena-athinfod-9.4.0/debian/debathena-athinfod.install
@@ -0,0 +1,2 @@
+debian/athinfo.access	/etc/athena
+debian/athinfo.defs	/etc/athena
